Bug 433244 - k3b causes session crash when opening project files from "open with" dialog in GNOME [NEEDINFO]
k3b causes session crash when opening project files from "open with" dialog i...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-17 20:35 EST by Gian Paolo Mureddu
Modified: 2009-01-09 01:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:00:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rstrode: needinfo? (gmureddu)


Attachments (Terms of Use)

  None (edit)
Description Gian Paolo Mureddu 2008-02-17 20:35:49 EST
Description of problem:
K3B causes a session crash and X restart when trying to open a project file
using the "open with..." dialog in a GNOME session.

Version-Release number of selected component (if applicable):
k3b-1.0.4-5.fc8

How reproducible:
Always

Steps to Reproduce:
1. Create a CD/DVD project in K3B, save the project
2. Try to open it from the "open with..." menu in GNOME
  
Actual results:
GNOME session and X crash.

Expected results:
K3B to open with the file loaded.

Additional info:
This may not be directly related to K3B as such, but to other KDE applications
as well. Amarok has also crashed GNOME and X once when trying to open an audio
file using the same method.
Comment 1 Rex Dieter 2008-02-17 21:18:29 EST
On the surface, this appears to be more a bug elsewhere (not in k3b or amarok).
 Operations as you describe shouldn't be able to crash your entire session, ever.
Comment 2 Rex Dieter 2008-02-19 10:32:36 EST
Reassigning gnome-session (for lack of better component).  Let's see if we get
more feedback and information to diagnose what's going wrong for you.
Comment 3 Ray Strode [halfline] 2008-02-19 10:47:59 EST
can you press ctrl-alt-f1, login as the user, then

gdb attach (pid of gnome-session)

type

continue

press enter, ctrl-alt-f7 and reproduce the crash?  After you've done that, press
ctrl-alt-f1 again, type "bt full" press enter and attach the output.
Comment 4 Bug Zapper 2008-11-26 04:51:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:00:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.